1. Uninstall .Net 2.0 32-bit version.
2. Install .Net 2.0 64-bit version from the prerequisites folder found in the install folder for The Raiser's Edge.
3. Reboot the server for changes to take effect.